using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Ika.Graphics;

namespace TestBoids.Entities
{
    public class PlaneEntity : BlockEntity
    {
        public PlaneEntity(Vector2 position, Sprite sprite, float maxSpeed)
            : base(position, sprite, maxSpeed)
        {
            MovementType = EntityMovementType.MT_Dynamic;
            MaxSpeed = -12.25f;
            Speed = new Vector2(MaxSpeed, 0);
            
        }

        public override void Update(float dt)
        {
            base.Update(dt);
                   
        }
    }
}
